import { randomUUID } from 'node:crypto'
import { Entity, ManyToOne, OneToOne, PrimaryKey, Property } from '@mikro-orm/core'
import { Zone } from './zone'
import { ZoneEventTile } from './ZoneEventTile'

@Entity()
export class ZoneEventTileTeleport {
  @PrimaryKey()
  id = randomUUID()

  @OneToOne(() => ZoneEventTile)
  zoneEventTile!: ZoneEventTile

  @ManyToOne(() => Zone)
  toZone!: Zone

  @Property()
  toRotation!: number

  @Property()
  toPositionX!: number

  @Property()
  toPositionY!: number
}
